// @todo these should be their own CSS files and only included when
// specific Drupal libraries are used.
@import "component/alert";
@import "component/ajax";
@import "component/field";
@import "component/file";
@import "component/filter";
@import "component/form";
@import "component/icon";
@import "component/navbar";
@import "component/node";
@import "component/panel";
@import "component/progress-bar";
@import "component/table-drag";
@import "component/tabs";
@import "component/toolbar";

// jQuery UI style overrides.
@import "jquery-ui/autocomplete";

ol, ul {
  padding-left: 1.5em;
  .popover &:last-child {
    margin-bottom: 0;
  }
}

// Page header.
.page-header {
  margin-top: 0;
}

// Paragraphs.
p:last-child,
.form-group:last-child,
.panel:last-child {
  margin-bottom: 0;
}

// Help region.
.region-help {
  > .glyphicon {
    font-size: $font-size-large;
    float: left;
    margin: -0.05em 0.5em 0 0;
  }
  .block {
    overflow: hidden;
  }
}


.help-block, .control-group .help-inline {
  color: $gray-light;
  font-size: 12px;
  margin: 5px 0 10px;
  padding: 0;
  &:first-child {
    margin-top: 0;
  }
}

#squeeze.container {
  padding-left: 0;
  padding-right: 0;
}

.navbar-header .logo {
  margin-left: ($grid-gutter-width / 2);
}

.region-header-left div {
  margin-top: ($grid-gutter-width * 1.5);
}

.region-header-left p {
  color: $brand-info;
  font-size: $font-size-h3;
  border-bottom: 3px dotted $brand-info;
  margin-bottom: ($grid-gutter-width / 2);
}

.region-header-right, .footer {
  h2 {
    font-style: italic;
    margin-bottom: ($grid-gutter-width / 12);
  }

  p, li {
    font-size: $font-size-small;
  }
}

.region-content {
  h1 {
    border-bottom: none;
  }
}

.region-sidebar {
  margin-top: ($grid-gutter-width / 4);
}

footer {
  background-color: $ocher;
  color: $gray-light;
  line-height: $font-size-small;
  font-size: $font-size-small;
  padding: ($grid-gutter-width / 3) ($grid-gutter-width / 2);
  margin-top: ($grid-gutter-width / 2);

  .nav li {
    float: left;
    border-right: $gray-light 1px solid;
    text-transform: uppercase;

    a {
      padding: 0 ($grid-gutter-width / 4);

      &:hover {
        background-color: transparent;
      }
    }
  }

  p, .nav li {
    margin-top: ($grid-gutter-width / 6);
    margin-bottom: ($grid-gutter-width / 6);
  }

  .nav li:first-child {
    a {
      padding-left: 0;
    }
  }

  .nav li:last-child {
    border-right: none;

    a {
      padding-right: 0;
    }
  }

}

.navbar-header {
  border-bottom: 1px solid $blue;
}

.navbar-collapse {
  border-bottom: 1px solid $blue;
}

@media (min-width: $screen-sm) {
  .region-header-top .logo img {
    width: 114x;
  }
}

@media #{$tablet} {
  body {
    margin-top: 0;
  }

  .region-header-top .logo img {
    width: 144x;
  }

  #squeeze.container {
    box-shadow: #ccc 0 0 10px;
  }

  .navbar.container {
    margin-left: 0;
    margin-right: 0;
    width: auto;
    max-width: 100%;
  }

  .navbar.container, .navbar-collapse {
    padding-left: 0;
    padding-right: 0;
  }

  aside.col-sm-6 {
    padding-left: 0;
    padding-right: 0;
  }

  .region-sidebar {
    margin-top: 0;
  }

  .navbar {
    margin-bottom: 0;
  }

  header.navbar {
    border-bottom: ($grid-gutter-width / 5) $ocher solid;
    border-radius: 0;
  }

  .region-content {
    margin-top: ($grid-gutter-width / 3);
    h1 {
      border-bottom: none;
    }
  }

  .navbar-header {
    border-bottom: none;
  }

  .navbar-collapse {
    border-bottom: none;
  }

  header {
    nav>ul.menu {
      width: 100%;
    }

    nav>ul.menu {
      &>li {
        width: 20%;
      }
    }
  }

  .navbar-default .navbar-nav > li > a {
    background-color: $ocher-dark;
    font-size: $font-size-h4;
    color: #fff;
    border-right: ($grid-gutter-width / 12) #fff solid;
    padding: ($grid-gutter-width / 6) ($grid-gutter-width / 4);
  }

  .navbar-default .navbar-nav > .active > a,
  .navbar-default .navbar-nav > .active > a:link {
    background-color: $ocher;
    color: $gray-light;
  }

  .navbar-default .navbar-nav > li > a:hover, .navbar-default .navbar-nav > .active > a:hover,
    .navbar-default .navbar-nav > .open > a, .navbar-default .navbar-nav > .open > a:hover, .navbar-default .navbar-nav > .open > a:focus {
    background-color: $ocher;
    border-right: ($grid-gutter-width / 10) #fff solid;
  }

  .navbar-default .dropdown-menu {
    border: none;
    background-color: $ocher;
    border-radius: 0;

    a {
      color: $gray-light;
    }

    a:hover, .active > a {
      background-color: $ocher-dark;
      color: #fff;
    }
  }

  .form-inline .form-control {
    display: block;
    width: 100%;
  }
}

iframe {
  border: 1px solid #8a6d3b;
  width: 100%;
}

blockquote {
  font-size: $font-size-base;
  font-style: italic;
  border-left: none;
  margin: 0;
  padding: ($grid-gutter-width / 5) ($grid-gutter-width / 6);
  border: 1px solid $blue;
}